#!/bin/sh

self=`which "$0"`
name=`basename $0`
mypath=`echo $self | sed "s/[/]$name\$//"`
cd "$mypath"
mypath=`pwd`

echo "Setting up links ..."
rm -f include
rm -f fs
ln -s Linux/include .
ln -s Linux/fs .
rm -f fs/Makefile
(cd Linux/fs; ln -s ../../fs-Makefile Makefile)

echo "Patching toplevel Makefile for absolute pathes ..."
rm -f Makefile.tmp
awk "/^TOPDIR[ \t]*=/{printf(\"TOPDIR = `pwd`\n\");next} {print}" Makefile >Makefile.tmp
if [ -s Makefile.tmp ]; then
	rm -f Makefile
	mv Makefile.tmp Makefile
fi

echo "Generating autoconf.h in directory my_include/linux ..."
rm -f autoconf.h
echo '/* This file was generated by mklinks.sh from config.make. */' >autoconf.h
echo '/* Do not modify it directly. */' >>autoconf.h
echo >>autoconf.h
awk '/^CONFIG.*/{printf("#define %s\t1\n", $1)}' config.make >>autoconf.h
mv -f autoconf.h my_include/linux

echo "$name ready."